package com.bocloud.cmp.provider.storage;

import com.bocloud.cmp.model.StorageVolumeModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

public interface StorageVolumeProvider extends SuperProvider {
    public BocloudResult list();

    public BocloudResult create(StorageVolumeModel volume);

    public BocloudResult modify(StorageVolumeModel volume);

    public BocloudResult remove(StorageVolumeModel volume);

    public BocloudResult detail(StorageVolumeModel volume);

    public BocloudResult attach(StorageVolumeModel volume);

    public BocloudResult detach(StorageVolumeModel volume);
}
